<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\Kursplanung\KursAnpassenNachTerminBearbeiten;

class KursAnpassenNachTerminBearbeitenUseCase extends \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\Termine\TerminBearbeiten\KursAnpassenNachTerminBearbeiten\KursAnpassenNachTerminBearbeitenUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_KURSPLANUNG_DOZ;
  }

  public static function getToolSectionId()
  {
    return 10;
  }

  public function hasAccess($pToolSectionId = null)
  {
    
    if (!parent::hasAccess()) {
      return false;
    }
    
    if (!$this->isRechtAllowed('10.0.3') && !$this->isRechtAllowed('10.0.1')) {
      return false;
    }

    return true;
  }

  

  protected function getRechte4KursBearbeiten(): array
  {
    return \PasstKursZuKurstageAPI::getRechte4KursBearbeitenDozent($this->getToolId(), $this->getUser());
  }
}